org.jfree.chart.plot

## Class ColorPalette

- java.lang.Object
- - org.jfree.chart.plot.ColorPalette

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  GreyPalette, RainbowPalette

Deprecated.
This class is no longer supported (as of version 1.0.4). If you are creating contour plots, please try to use `XYPlot` and `XYBlockRenderer`.

    public abstract class ColorPalette
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

Defines palette used by `ContourPlot`.

See Also:
  Serialized Form

### Field Summary

Fields
`protected int[]` `b` Deprecated. Blue components.
`protected int[]` `g` Deprecated. Green components.
`protected boolean` `inverse` Deprecated. Inverse palette (ie, min and max colors are reversed).
`protected static double` `log10` Deprecated. Constant for converting loge to log10.
`protected boolean` `logscale` Deprecated. Logscale?
`protected double` `maxZ` Deprecated. The max z-axis value.
`protected double` `minZ` Deprecated. The min z-axis value.
`protected java.lang.String` `paletteName` Deprecated. The palette name.
`protected int[]` `r` Deprecated. Red components.
`protected boolean` `stepped` Deprecated. Controls whether palette colors are stepped (not continuous).
`protected double[]` `tickValues` Deprecated. Tick values are stored for use with stepped palette.

### Constructor Summary

Constructors
Constructor and Description
`ColorPalette()` Deprecated. Default contructor.

### Method Summary

Methods
`java.lang.Object` `clone()` Deprecated. Returns a clone of the palette.
`boolean` `equals(java.lang.Object o)` Deprecated. Tests an object for equality with this instance.
`java.awt.Paint` `getColor(double value)` Deprecated. Returns the color associated with a value.
`java.awt.Color` `getColor(int izV)` Deprecated. Returns a color.
`java.awt.Color` `getColorLinear(double value)` Deprecated. Returns Color by mapping a given value to a linear palette.
`java.awt.Color` `getColorLog(double value)` Deprecated. Returns Color by mapping a given value to a common log palette.
`double` `getMaxZ()` Deprecated. Returns the maximum Z value.
`double` `getMinZ()` Deprecated. Returns the minimum Z value.
`java.awt.Paint` `getPaint(double value)` Deprecated. Returns Paint by mapping a given value to a either a linear or common log palette as controlled by the value logscale.
`java.lang.String` `getPaletteName()` Deprecated. Returns the palette name.
`double[]` `getTickValues()` Deprecated. Returns the tick values.
`int` `hashCode()` Deprecated. Returns a hash code.
`abstract void` `initialize()` Deprecated. Called to initialize the palette's color indexes
`void` `invertPalette()` Deprecated. Inverts Palette
`boolean` `isInverse()` Deprecated. Returns the inverse flag.
`boolean` `isLogscale()` Deprecated. Returns the log-scale flag.
`boolean` `isStepped()` Deprecated. Returns the 'is-stepped' flag.
`void` `setInverse(boolean inverse)` Deprecated. Sets the inverse flag.
`void` `setLogscale(boolean logscale)` Deprecated. Sets the 'log-scale' flag.
`void` `setMaxZ(double newMaxZ)` Deprecated. Sets the maximum Z value.
`void` `setMinZ(double newMinZ)` Deprecated. Sets the minimum Z value.
`void` `setPaletteName(java.lang.String paletteName)` Deprecated. Sets the palette name.
`void` `setStepped(boolean stepped)` Deprecated. Sets the stepped flag.
`void` `setTickValues(double[] newTickValues)` Deprecated. Sets the tick values.
`void` `setTickValues(java.util.List ticks)` Deprecated. Store ticks.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### minZ

    protected double minZ

Deprecated.
The min z-axis value.

#### maxZ

    protected double maxZ

Deprecated.
The max z-axis value.

#### r

    protected int[] r

Deprecated.
Red components.

#### g

    protected int[] g

Deprecated.
Green components.

#### b

    protected int[] b

Deprecated.
Blue components.

#### tickValues

    protected double[] tickValues

Deprecated.
Tick values are stored for use with stepped palette.

#### logscale

    protected boolean logscale

Deprecated.
Logscale?

#### inverse

    protected boolean inverse

Deprecated.
Inverse palette (ie, min and max colors are reversed).

#### paletteName

    protected java.lang.String paletteName

Deprecated.
The palette name.

#### stepped

    protected boolean stepped

Deprecated.
Controls whether palette colors are stepped (not continuous).

#### log10

    protected static final double log10

Deprecated.
Constant for converting loge to log10.

### Constructor Detail

#### ColorPalette

    public ColorPalette()

Deprecated.
Default contructor.

### Method Detail

#### getColor

    public java.awt.Paint getColor(double value)

Deprecated.
Returns the color associated with a value.

Parameters:
  `value` - the value.
Returns:
  The color.

#### getColor

    public java.awt.Color getColor(int izV)

Deprecated.
Returns a color.

Parameters:
  `izV` - the index into the palette (zero based).
Returns:
  The color.

#### getColorLinear

    public java.awt.Color getColorLinear(double value)

Deprecated.
Returns Color by mapping a given value to a linear palette.

Parameters:
  `value` - the value.
Returns:
  The color.

#### getColorLog

    public java.awt.Color getColorLog(double value)

Deprecated.
Returns Color by mapping a given value to a common log palette.

Parameters:
  `value` - the value.
Returns:
  The color.

#### getMaxZ

    public double getMaxZ()

Deprecated.
Returns the maximum Z value.

Returns:
  The value.

#### getMinZ

    public double getMinZ()

Deprecated.
Returns the minimum Z value.

Returns:
  The value.

#### getPaint

    public java.awt.Paint getPaint(double value)

Deprecated.
Returns Paint by mapping a given value to a either a linear or common log palette as controlled by the value logscale.

Parameters:
  `value` - the value.
Returns:
  The paint.

#### getPaletteName

    public java.lang.String getPaletteName()

Deprecated.
Returns the palette name.

Returns:
  The palette name.

#### getTickValues

    public double[] getTickValues()

Deprecated.
Returns the tick values.

Returns:
  The tick values.

#### initialize

    public abstract void initialize()

Deprecated.
Called to initialize the palette's color indexes

#### invertPalette

    public void invertPalette()

Deprecated.
Inverts Palette

#### isInverse

    public boolean isInverse()

Deprecated.
Returns the inverse flag.

Returns:
  The flag.

#### isLogscale

    public boolean isLogscale()

Deprecated.
Returns the log-scale flag.

Returns:
  The flag.

#### isStepped

    public boolean isStepped()

Deprecated.
Returns the 'is-stepped' flag.

Returns:
  The flag.

#### setInverse

    public void setInverse(boolean inverse)

Deprecated.
Sets the inverse flag.

Parameters:
  `inverse` - the new value.

#### setLogscale

    public void setLogscale(boolean logscale)

Deprecated.
Sets the 'log-scale' flag.

Parameters:
  `logscale` - the new value.

#### setMaxZ

    public void setMaxZ(double newMaxZ)

Deprecated.
Sets the maximum Z value.

Parameters:
  `newMaxZ` - the new value.

#### setMinZ

    public void setMinZ(double newMinZ)

Deprecated.
Sets the minimum Z value.

Parameters:
  `newMinZ` - the new value.

#### setPaletteName

    public void setPaletteName(java.lang.String paletteName)

Deprecated.
Sets the palette name.

Parameters:
  `paletteName` - the name.

#### setStepped

    public void setStepped(boolean stepped)

Deprecated.
Sets the stepped flag.

Parameters:
  `stepped` - the flag.

#### setTickValues

    public void setTickValues(double[] newTickValues)

Deprecated.
Sets the tick values.

Parameters:
  `newTickValues` - the tick values.

#### setTickValues

    public void setTickValues(java.util.List ticks)

Deprecated.
Store ticks. Required when doing stepped axis

Parameters:
  `ticks` - the ticks.

#### equals

    public boolean equals(java.lang.Object o)

Deprecated.
Tests an object for equality with this instance.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `o` - the object to test.
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Deprecated.
Returns a hash code.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Deprecated.
Returns a clone of the palette.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - never.